require "defines"

game.oninit(function()
	--game.player.force.resetrecipes()
end)


game.onload(function()	
	--game.player.force.resetrecipes()
end)

-- following code from Mod Uranium (owner Liquius) with permission
game.onevent(defines.events.onbuiltentity, function(event)
	if event.createdentity.name == "y-sfe" then
		if glob.SFE == nil then
			glob.SFE = {}
		end		
		vsfe = {true}		
		vsfe[1] = event.createdentity
		table.insert(glob.SFE, vsfe)
	end
	if event.createdentity.name == "y-ffe" then
		if glob.FFE == nil then
			glob.FFE = {}
		end		
		vffe = {true}		
		vffe[1] = event.createdentity
		table.insert(glob.FFE, vffe)
	end
	if event.createdentity.name == "y-hfe" then
		if glob.HFE == nil then
			glob.HFE = {}
		end		
		vhfe = {true}		
		vhfe[1] = event.createdentity
		table.insert(glob.HFE, vhfe)
	end
end)

game.onevent(defines.events.ontick, function(event)
	if glob.SFE ~= nil then
		for k,SFE in pairs(glob.SFE) do
			if SFE[1].valid then
				if SFE[1].fluidbox[1] ~= nil then
					sfeout = {}
					sfeout = SFE[1].fluidbox[1]
					sfeout["temperature"] = 190 
					SFE[1].fluidbox[1] = sfeout
				end
			else
				table.remove(glob.SFE, k)
				--game.player.print("SFE removed")
			end
		end
	end
	if glob.FFE ~= nil then
		for k,FFE in pairs(glob.FFE) do
			if FFE[1].valid then
				if FFE[1].fluidbox[1] ~= nil then
					ffeout = {}
					ffeout = FFE[1].fluidbox[1]
					ffeout["temperature"] = 240 
					FFE[1].fluidbox[1] = ffeout
				end
			else
				table.remove(glob.FFE, k)
				--game.player.print("FFE removed")
			end
		end
	end
	if glob.HFE ~= nil then
		for k,HFE in pairs(glob.HFE) do
			if HFE[1].valid then
				if HFE[1].fluidbox[1] ~= nil then
					hfeout = {}
					hfeout = HFE[1].fluidbox[1]
					hfeout["temperature"] = 90 
					HFE[1].fluidbox[1] = hfeout
				end
			else
				table.remove(glob.HFE, k)
				--game.player.print("HFE removed")
			end
		end
	end
end)
